## qmltube 1.0.6

=== debian/changelog ===
qmltube (1.0.6) unstable; urgency=low

  * Fixed bugs in video uploads.
  * Other minor bug fixes.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Mon, 11 Jul 2011 23:14:18 +0000

=== debian/control ===
Source: qmltube
Section: user/multimedia
Priority: optional
Maintainer: Stuart Howarth <marxianthecoder@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.3
Homepage: https://garage.maemo.org/projects/qmltube/

Package: qmltube
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, mcsp, ffmpeg, libqtm-12
Description: YouTube, Dailymotion and vimeo client
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2124
XSBC-Maemo-Display-Name: cuteTube-QML
XB-Maemo-Icon-26: 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

## qmltube 1.0.8

=== Makefile ===
#############################################################################
# Makefile for building: qmltube
# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Jul 12 21:32:19 2011
# Project:  qmltube.pro
# Template: app
# Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -o Makefile qmltube.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DNETWORKACCESS -DQT_NO_DEBUG -DQT_DECLARATIVE_LIB -DQT_DBUS_LIB -DQT_SQL_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtCore -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtNetwork -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtGui -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtSql -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtDBus -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtDeclarative -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include -Iqmlapplicationviewer -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib -lQtDeclarative -L/usr/lib -L/usr/X11R6/lib -lQtScript -lQtSvg -lQtXmlPatterns -lQtOpenGL -lQtSql -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		youtube.cpp \
		controller.cpp \
		downloadmanager.cpp \
		folderlistmodel.cpp \
		sharing.cpp \
		dailymotion.cpp \
		vimeo.cpp \
		qmlapplicationviewer/qmlapplicationviewer.cpp moc_qmlapplicationviewer.cpp \
		moc_youtube.cpp \
		moc_controller.cpp \
		moc_downloadmanager.cpp \
		moc_folderlistmodel.cpp \
		moc_sharing.cpp \
		moc_dailymotion.cpp \
		moc_vimeo.cpp
OBJECTS       = main.o \
		youtube.o \
		controller.o \
		downloadmanager.o \
		folderlistmodel.o \
		sharing.o \
		dailymotion.o \
		vimeo.o \
		qmlapplicationviewer.o \
		moc_qmlapplicationviewer.o \
		moc_youtube.o \
		moc_controller.o \
		moc_downloadmanager.o \
		moc_folderlistmodel.o \
		moc_sharing.o \
		moc_dailymotion.o \
		moc_vimeo.o
DIST          = ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		qmlapplicationviewer/qmlapplicationviewer.pri \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		qmltube.pro
QMAKE_TARGET  = qmltube
DESTDIR       = 
TARGET        = qmltube

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: qmltube.pro  ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		qmlapplicationviewer/qmlapplicationviewer.pri \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDeclarative.prl \
		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtScript.prl \
		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtCore.prl \
		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtSvg.prl \
		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtGui.prl \
		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDBus.prl \
		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtXml.prl \
		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtSql.prl \
		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtXmlPatterns.prl \
		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtNetwork.prl \
		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtOpenGL.prl
	$(QMAKE) -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -o Makefile qmltube.pro
../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf:
../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf:
../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri:
../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
qmlapplicationviewer/qmlapplicationviewer.pri:
../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf:

=== debian/changelog ===
qmltube (1.0.8) unstable; urgency=low

  * Fixed error resulting in restricted YouTube videos not being returned.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Thu, 21 Jul 2011 16:32:18 +0000

## qmltube 1.0.9

=== debian/changelog ===
qmltube (1.0.9) unstable; urgency=low

  * Fixed a bug in returning of YouTube video results.
  * Changed about dialog icon to Harmattan style.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Thu, 21 Jul 2011 20:02:18 +0000

## qmltube 1.0.10

=== debian/changelog ===
qmltube (1.0.10) unstable; urgency=low

  * Restored playback/download of YouTube videos.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Thu, 21 Jul 2011 20:02:18 +0000

## qmltube 1.0.11

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Jul 12 21:32:19 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Jul 21 20:51:18 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (1.0.11) unstable; urgency=low

  * Restored download of YouTube videos.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Thu, 21 Jul 2011 20:02:18 +0000

## qmltube 1.0.12

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Jul 21 20:51:18 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Aug 5 14:47:06 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (1.0.12) unstable; urgency=low

  * Fixed some remaining issues with playback/download of YouTube videos.
  * Removed 'mobile' quality setting.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Fri, 05 Aug 2011 14:30:18 +0000

## qmltube 1.1.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Aug 5 14:47:06 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Aug 9 17:22:03 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (1.1.1) unstable; urgency=low

  * Some UI changes including a new search dialog.
  * Fixed bug in obtaining keyboard focus for OAuth dialog.
  * Fixed bug in 'light' theme when playing videos.
  * Other minor bugfixes.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Tue, 09 Aug 2011 23:42:18 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
 Package: qmltube
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}, mcsp, ffmpeg, libqtm-12
-Description: YouTube, Dailymotion and vimeo client
+Description: YouTube, Dailymotion and vimeo client.
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2124
 XSBC-Maemo-Display-Name: cuteTube-QML
 XB-Maemo-Icon-26: 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
+XB-Maemo-Display-Name: cuteTube-QML

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	qmake
	$(MAKE)
	#docbook-to-man debian/qmltube.sgml > qmltube.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/qmltube.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/qmltube install
	sed 's:Exec=.*:Exec=/opt/usr/bin/qmltube:' /home/stuart/N900/qmltube/debian/qmltube/usr/share/applications/hildon/qmltube.desktop > /home/stuart/N900/qmltube/debian/qmltube/usr/share/applications/hildon/qmltube.desktop.sed || echo -n
	mv /home/stuart/N900/qmltube/debian/qmltube/usr/share/applications/hildon/qmltube.desktop.sed /home/stuart/N900/qmltube/debian/qmltube/usr/share/applications/hildon/qmltube.desktop || echo -n


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	# dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## qmltube 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Aug 9 17:22:03 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Jan 5 18:56:23 2012
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -o Makefile qmltube.pro
@@ -10,7 +10,7 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DNETWORKACCESS -DQT_NO_DEBUG -DQT_DECLARATIVE_LIB -DQT_DBUS_LIB -DQT_SQL_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
+DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_DECLARATIVE_LIB -DQT_DBUS_LIB -DQT_SQL_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
 INCPATH       = -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtCore -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtNetwork -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtGui -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtSql -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtDBus -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtDeclarative -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include -Iqmlapplicationviewer -I.
@@ -45,37 +45,39 @@
 
 SOURCES       = main.cpp \
 		youtube.cpp \
-		controller.cpp \
+		database.cpp \
+		settings.cpp \
 		downloadmanager.cpp \
 		folderlistmodel.cpp \
-		sharing.cpp \
 		dailymotion.cpp \
-		vimeo.cpp \
-		qmlapplicationviewer/qmlapplicationviewer.cpp moc_qmlapplicationviewer.cpp \
-		moc_youtube.cpp \
-		moc_controller.cpp \
+		json.cpp \
+		utils.cpp \
+		qmlapplicationviewer/qmlapplicationviewer.cpp moc_youtube.cpp \
+		moc_database.cpp \
+		moc_settings.cpp \
 		moc_downloadmanager.cpp \
 		moc_folderlistmodel.cpp \
-		moc_sharing.cpp \
 		moc_dailymotion.cpp \
-		moc_vimeo.cpp
+		moc_utils.cpp \
+		moc_qmlapplicationviewer.cpp
 OBJECTS       = main.o \
 		youtube.o \
-		controller.o \
+		database.o \
+		settings.o \
 		downloadmanager.o \
 		folderlistmodel.o \
-		sharing.o \
 		dailymotion.o \
-		vimeo.o \
+		json.o \
+		utils.o \
 		qmlapplicationviewer.o \
-		moc_qmlapplicationviewer.o \
 		moc_youtube.o \
-		moc_controller.o \
+		moc_database.o \
+		moc_settings.o \
 		moc_downloadmanager.o \
 		moc_folderlistmodel.o \
-		moc_sharing.o \
 		moc_dailymotion.o \
-		moc_vimeo.o
+		moc_utils.o \
+		moc_qmlapplicationviewer.o
 DIST          = ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \

=== debian/changelog ===
qmltube (1.2.0) unstable; urgency=low
  * Removed vimeo access.
  * Redesigned UI to better fit Hildon style.
  * Moved all settings to QSettings.
  * Moved database code to C++.
  * Archive now uses QtGallery to detect audio/video files.
  * Thumbnails for archived videos are now stored locally.
  * Added new features to both YouTube and Dailymotion access.
  * User-added translations are now detected in settings.

 -- Stuart Howarth <stuart@cutetube.co.uk>  Wed, 04 Dec 2011 03:00:12 +0000

=== debian/control ===
Source: qmltube
Section: user/multimedia
Priority: optional
Maintainer: Stuart Howarth <showarth@cutetube.co.uk>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.3
Homepage: <http://www.cutetube.co.uk>

Package: qmltube
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg, libqtm-12
Description: YouTube and Dailymotion client with lots of features
 cuteTube-QML is a fully-featured client for YouTube and Dailymotion
 that allows playback, upload and download of videos, plus account management.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2124
XSBC-Maemo-Display-Name: cuteTube-QML
XB-Maemo-Display-Name: cuteTube-QML
XB-Maemo-Icon-26: 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

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	# Add here commands to configure the package.
+	# qmake PREFIX=/usr# Uncomment this line for use without Qt Creator
 
 	touch configure-stamp
 
@@ -32,14 +32,15 @@
 	#docbook-to-man debian/qmltube.sgml > qmltube.1
 
 	touch $@
-
+	
 clean: 
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-
+	#$(MAKE) clean
+	
 	dh_clean 
 
 install: build
@@ -50,8 +51,6 @@
 
 	# Add here commands to install the package into debian/qmltube.
 	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/qmltube install
-	sed 's:Exec=.*:Exec=/opt/usr/bin/qmltube:' /home/stuart/N900/qmltube/debian/qmltube/usr/share/applications/hildon/qmltube.desktop > /home/stuart/N900/qmltube/debian/qmltube/usr/share/applications/hildon/qmltube.desktop.sed || echo -n
-	mv /home/stuart/N900/qmltube/debian/qmltube/usr/share/applications/hildon/qmltube.desktop.sed /home/stuart/N900/qmltube/debian/qmltube/usr/share/applications/hildon/qmltube.desktop || echo -n
 
 
 # Build architecture-independent files here.
@@ -78,13 +77,13 @@
 #	dh_installinfo
 	dh_installman
 	dh_link
-	# dh_strip
+#	dh_strip
 	dh_compress
 	dh_fixperms
 #	dh_perl
 #	dh_makeshlibs
 	dh_installdeb
-	dh_shlibdeps
+	dh_shlibdeps # Uncomment this line for use without Qt Creator
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## qmltube 1.2.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Jan 5 18:56:23 2012
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Sun Jan 8 23:11:49 2012
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -o Makefile qmltube.pro
@@ -13,10 +13,10 @@
 DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_DECLARATIVE_LIB -DQT_DBUS_LIB -DQT_SQL_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtCore -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtNetwork -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtGui -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtSql -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtDBus -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtDeclarative -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include -Iqmlapplicationviewer -I.
+INCPATH       = -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtCore -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtNetwork -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtGui -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtSql -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtDBus -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtDeclarative -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtSystemInfo -Iqmlapplicationviewer -I/usr/include -I/usr/include/QtSystemInfo -I.
 LINK          = g++
-LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
-LIBS          = $(SUBLIBS)  -L/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib -lQtDeclarative -L/usr/lib -L/usr/X11R6/lib -lQtScript -lQtSvg -lQtXmlPatterns -lQtOpenGL -lQtSql -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
+LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
+LIBS          = $(SUBLIBS)  -L/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib -L/usr/lib -lQtSystemInfo -lQtDeclarative -L/usr/X11R6/lib -lQtScript -lQtSvg -lQtXmlPatterns -lQtOpenGL -lQtSql -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake
@@ -52,6 +52,7 @@
 		dailymotion.cpp \
 		json.cpp \
 		utils.cpp \
+		xtube.cpp \
 		qmlapplicationviewer/qmlapplicationviewer.cpp moc_youtube.cpp \
 		moc_database.cpp \
 		moc_settings.cpp \
@@ -59,6 +60,7 @@
 		moc_folderlistmodel.cpp \
 		moc_dailymotion.cpp \
 		moc_utils.cpp \
+		moc_xtube.cpp \
 		moc_qmlapplicationviewer.cpp
 OBJECTS       = main.o \
 		youtube.o \
@@ -69,6 +71,7 @@
 		dailymotion.o \
 		json.o \
 		utils.o \
+		xtube.o \
 		qmlapplicationviewer.o \
 		moc_youtube.o \
 		moc_database.o \
@@ -77,6 +80,7 @@
 		moc_folderlistmodel.o \
 		moc_dailymotion.o \
 		moc_utils.o \
+		moc_xtube.o \
 		moc_qmlapplicationviewer.o
 DIST          = ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
@@ -89,6 +93,7 @@
 		qmlapplicationviewer/qmlapplicationviewer.pri \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
+		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/mobility.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
@@ -143,6 +148,7 @@
 		qmlapplicationviewer/qmlapplicationviewer.pri \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
+		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/mobility.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
@@ -172,7 +178,3 @@
 ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
 ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
 ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
-../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
-../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
-qmlapplicationviewer/qmlapplicationviewer.pri:
-../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf:

=== debian/changelog ===
qmltube (1.2.1) unstable; urgency=low
  * Fixed error in resuming saved downloads after restarting the application.
  * Fixed error in signing out of YouTube accounts.
  * Battery indicator now uses QSystemDeviceInfo to avoid problems with older Qt libraries.
  * Added additional colour options to theme.
  * Added option to filter YouTube video searches by video duration.
  * Added integrated XTube features (enable via config file).

 -- Stuart Howarth <stuart@cutetube.co.uk>  Sat, 07 Jan 2012 16:46:35 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: user/multimedia
 Priority: optional
 Maintainer: Stuart Howarth <showarth@cutetube.co.uk>
-Build-Depends: debhelper (>= 5), libqt4-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev
 Standards-Version: 3.7.3
-Homepage: <http://www.cutetube.co.uk>
+Homepage: http://www.cutetube.co.uk
 
 Package: qmltube
 Architecture: armel

## qmltube 1.2.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Sun Jan 8 23:11:49 2012
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Jan 10 23:08:47 2012
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -o Makefile qmltube.pro
@@ -13,10 +13,10 @@
 DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_DECLARATIVE_LIB -DQT_DBUS_LIB -DQT_SQL_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtCore -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtNetwork -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtGui -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtSql -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtDBus -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtDeclarative -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtSystemInfo -Iqmlapplicationviewer -I/usr/include -I/usr/include/QtSystemInfo -I.
+INCPATH       = -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtCore -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtNetwork -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtGui -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtSql -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtDBus -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtDeclarative -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include -Iqmlapplicationviewer -I.
 LINK          = g++
-LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
-LIBS          = $(SUBLIBS)  -L/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib -L/usr/lib -lQtSystemInfo -lQtDeclarative -L/usr/X11R6/lib -lQtScript -lQtSvg -lQtXmlPatterns -lQtOpenGL -lQtSql -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
+LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
+LIBS          = $(SUBLIBS)  -L/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib -lQtDeclarative -L/usr/lib -L/usr/X11R6/lib -lQtScript -lQtSvg -lQtXmlPatterns -lQtOpenGL -lQtSql -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake
@@ -93,7 +93,6 @@
 		qmlapplicationviewer/qmlapplicationviewer.pri \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
-		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/mobility.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
@@ -148,7 +147,6 @@
 		qmlapplicationviewer/qmlapplicationviewer.pri \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
-		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/mobility.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
@@ -178,3 +176,7 @@
 ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
 ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
 ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
+../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
+../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
+qmlapplicationviewer/qmlapplicationviewer.pri:
+../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf:

=== debian/changelog ===
qmltube (1.2.2) unstable; urgency=low
  * XTube enhancements.
  * XTube videos can now be played in alternative media players.
  * Bugfix in Dailymotion group videos.
  * Removed battery indicator.
  * Small UI tweaks.

 -- Stuart Howarth <stuart@cutetube.co.uk>  Mon, 09 Jan 2012 01:14:04 +0000
